## 11330?format=zip&new=11330

=== CMakeLists.txt ===
#=============================================================================
# CMake - Cross Platform Makefile Generator
# Copyright 2000-2011 Kitware, Inc., Insight Software Consortium
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file Copyright.txt for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.3 FATAL_ERROR)
SET(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
PROJECT(CMake)

IF(CMAKE_BOOTSTRAP)
  # Running from bootstrap script.  Set local variable and remove from cache.
  SET(CMAKE_BOOTSTRAP 1)
  UNSET(CMAKE_BOOTSTRAP CACHE)
ENDIF()

SET(CMake_BIN_DIR ${CMake_BINARY_DIR}/bin)

IF("${CMake_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
  # Disallow architecture-specific try_run.  It may not run on the host.
  MACRO(TRY_RUN)
    IF(CMAKE_TRY_COMPILE_OSX_ARCHITECTURES)
      MESSAGE(FATAL_ERROR "TRY_RUN not allowed with CMAKE_TRY_COMPILE_OSX_ARCHITECTURES=[${CMAKE_TRY_COMPILE_OSX_ARCHITECTURES}]")
    ELSE()
      _TRY_RUN(${ARGV})
    ENDIF()
  ENDMACRO()
ENDIF()

#-----------------------------------------------------------------------
# a macro to deal with system libraries, implemented as a macro
# simply to improve readability of the main script
#-----------------------------------------------------------------------
MACRO(CMAKE_HANDLE_SYSTEM_LIBRARIES)
  # Options have dependencies.
  INCLUDE(CMakeDependentOption)

  # Optionally use system xmlrpc.  We no longer build or use it by default.
  OPTION(CTEST_USE_XMLRPC "Enable xmlrpc submission method in CTest." OFF)
  MARK_AS_ADVANCED(CTEST_USE_XMLRPC)

  # Allow the user to enable/disable all system utility library options by
  # defining CMAKE_USE_SYSTEM_LIBRARIES or CMAKE_USE_SYSTEM_LIBRARY_${util}.
  SET(UTILITIES BZIP2 CURL EXPAT LIBARCHIVE ZLIB)
  FOREACH(util ${UTILITIES})
    IF(NOT DEFINED CMAKE_USE_SYSTEM_LIBRARY_${util}
        AND DEFINED CMAKE_USE_SYSTEM_LIBRARIES)
      SET(CMAKE_USE_SYSTEM_LIBRARY_${util} "${CMAKE_USE_SYSTEM_LIBRARIES}")
    ENDIF()
    IF(DEFINED CMAKE_USE_SYSTEM_LIBRARY_${util})
      IF(CMAKE_USE_SYSTEM_LIBRARY_${util})
        SET(CMAKE_USE_SYSTEM_LIBRARY_${util} ON)
      ELSE()
        SET(CMAKE_USE_SYSTEM_LIBRARY_${util} OFF)
      ENDIF()
      IF(CMAKE_BOOTSTRAP)
        UNSET(CMAKE_USE_SYSTEM_LIBRARY_${util} CACHE)
      ENDIF()
      STRING(TOLOWER "${util}" lutil)
      SET(CMAKE_USE_SYSTEM_${util} "${CMAKE_USE_SYSTEM_LIBRARY_${util}}"
        CACHE BOOL "Use system-installed ${lutil}" FORCE)
    ELSE()
      SET(CMAKE_USE_SYSTEM_LIBRARY_${util} OFF)
    ENDIF()
  ENDFOREACH(util)
  IF(CMAKE_BOOTSTRAP)
    UNSET(CMAKE_USE_SYSTEM_LIBRARIES CACHE)
  ENDIF()

  # Optionally use system utility libraries.
  OPTION(CMAKE_USE_SYSTEM_LIBARCHIVE "Use system-installed libarchive" "${CMAKE_USE_SYSTEM_LIBRARY_LIBARCHIVE}")
  CMAKE_DEPENDENT_OPTION(CMAKE_USE_SYSTEM_CURL "Use system-installed curl"
    "${CMAKE_USE_SYSTEM_LIBRARY_CURL}" "NOT CTEST_USE_XMLRPC" ON)
  CMAKE_DEPENDENT_OPTION(CMAKE_USE_SYSTEM_EXPAT "Use system-installed expat"
    "${CMAKE_USE_SYSTEM_LIBRARY_EXPAT}" "NOT CTEST_USE_XMLRPC" ON)
  CMAKE_DEPENDENT_OPTION(CMAKE_USE_SYSTEM_ZLIB "Use system-installed zlib"
    "${CMAKE_USE_SYSTEM_LIBRARY_ZLIB}" "NOT CMAKE_USE_SYSTEM_LIBARCHIVE;NOT CMAKE_USE_SYSTEM_CURL" ON)
  CMAKE_DEPENDENT_OPTION(CMAKE_USE_SYSTEM_BZIP2 "Use system-installed bzip2"
    "${CMAKE_USE_SYSTEM_LIBRARY_BZIP2}" "NOT CMAKE_USE_SYSTEM_LIBARCHIVE" ON)

  # Mention to the user what system libraries are being used.
  FOREACH(util ${UTILITIES})
    IF(CMAKE_USE_SYSTEM_${util})
      MESSAGE(STATUS "Using system-installed ${util}")
    ENDIF(CMAKE_USE_SYSTEM_${util})
  ENDFOREACH(util)

  # Inform utility library header wrappers whether to use system versions.
  CONFIGURE_FILE(${CMake_SOURCE_DIR}/Utilities/cmThirdParty.h.in
    ${CMake_BINARY_DIR}/Utilities/cmThirdParty.h
    @ONLY)

ENDMACRO(CMAKE_HANDLE_SYSTEM_LIBRARIES)




SET(CMAKE_BUILD_ON_VISUAL_STUDIO 0)
IF(WIN32 AND NOT UNIX AND NOT BORLAND AND NOT MINGW )
  SET(CMAKE_BUILD_ON_VISUAL_STUDIO 1)
ENDIF(WIN32 AND NOT UNIX AND NOT BORLAND AND NOT MINGW )


#-----------------------------------------------------------------------
# a macro to determine the generator and ctest executable to use
# for testing. Simply to improve readability of the main script.
#-----------------------------------------------------------------------
MACRO(CMAKE_SETUP_TESTING)
  IF (NOT DART_ROOT)
    SET(MAKEPROGRAM ${CMAKE_MAKE_PROGRAM})
  ENDIF (NOT DART_ROOT)
  
  IF(BUILD_TESTING)
    SET(CMAKE_TEST_GENERATOR "" CACHE STRING 
      "Generator used when running tests")
    SET(CMAKE_TEST_MAKEPROGRAM "" CACHE FILEPATH 
      "Generator used when running tests")
    IF(NOT CMAKE_TEST_GENERATOR)
      SET(CMAKE_TEST_GENERATOR "${CMAKE_GENERATOR}")
      SET(CMAKE_TEST_MAKEPROGRAM "${MAKEPROGRAM}")
    ELSE(NOT CMAKE_TEST_GENERATOR)
      SET(CMAKE_TEST_DIFFERENT_GENERATOR TRUE)
    ENDIF(NOT CMAKE_TEST_GENERATOR)
    
    # Are we testing with the MSVC compiler?
    SET(CMAKE_TEST_MSVC 0)
    IF(MSVC AND NOT CMAKE_TEST_DIFFERENT_GENERATOR)
      SET(CMAKE_TEST_MSVC 1)
    ELSE(MSVC AND NOT CMAKE_TEST_DIFFERENT_GENERATOR)
      IF("${CMAKE_TEST_GENERATOR}" MATCHES "NMake" OR
          "${CMAKE_TEST_GENERATOR}" MATCHES "Visual Studio")
        SET(CMAKE_TEST_MSVC 1)
      ENDIF("${CMAKE_TEST_GENERATOR}" MATCHES "NMake" OR
        "${CMAKE_TEST_GENERATOR}" MATCHES "Visual Studio")
    ENDIF(MSVC AND NOT CMAKE_TEST_DIFFERENT_GENERATOR)
    
    SET(CMAKE_TEST_SYSTEM_LIBRARIES 0)
    FOREACH(util CURL EXPAT XMLRPC ZLIB)
      IF(CMAKE_USE_SYSTEM_${util})
        SET(CMAKE_TEST_SYSTEM_LIBRARIES 1)
      ENDIF(CMAKE_USE_SYSTEM_${util})
    ENDFOREACH(util)
    
    # This variable is set by cmake, however to
    # test cmake we want to make sure that
    # the ctest from this cmake is used for testing
    # and not the ctest from the cmake building and testing
    # cmake.
    SET(CMAKE_CTEST_COMMAND "${CMake_BIN_DIR}/ctest")
    SET(CMAKE_CMAKE_COMMAND "${CMake_BIN_DIR}/cmake")
    SET(CMAKE_CPACK_COMMAND "${CMake_BIN_DIR}/cpack")
  ENDIF(BUILD_TESTING)

  # configure some files for testing
  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/Templates/CTestScript.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/CTestScript.cmake"
    @ONLY)
  CONFIGURE_FILE(${CMake_SOURCE_DIR}/Tests/.NoDartCoverage
    ${CMake_BINARY_DIR}/Tests/.NoDartCoverage)
  CONFIGURE_FILE(${CMake_SOURCE_DIR}/Tests/.NoDartCoverage
    ${CMake_BINARY_DIR}/Modules/.NoDartCoverage)
  CONFIGURE_FILE(${CMake_SOURCE_DIR}/CTestCustom.cmake.in
    ${CMake_BINARY_DIR}/CTestCustom.cmake @ONLY)
  CONFIGURE_FILE(${CMake_SOURCE_DIR}/CTestCustom.ctest.in
    ${CMake_BINARY_DIR}/CTestCustom.ctest @ONLY)
  IF(BUILD_TESTING AND DART_ROOT)
    CONFIGURE_FILE(${CMake_SOURCE_DIR}/CMakeLogo.gif 
      ${CMake_BINARY_DIR}/Testing/HTML/TestingResults/Icons/Logo.gif COPYONLY)
  ENDIF(BUILD_TESTING AND DART_ROOT)
  MARK_AS_ADVANCED(DART_ROOT)
  MARK_AS_ADVANCED(CURL_TESTING)
ENDMACRO(CMAKE_SETUP_TESTING)


# Provide a way for Visual Studio Express users to turn OFF the new FOLDER
# organization feature. Default to ON for non-Express users. Express users must
# explicitly turn off this option to build CMake in the Express IDE...
#
OPTION(CMAKE_USE_FOLDERS "Enable folder grouping of projects in IDEs." ON)
MARK_AS_ADVANCED(CMAKE_USE_FOLDERS)


#-----------------------------------------------------------------------
# a macro that only sets the FOLDER target property if it's
# "appropriate"
#-----------------------------------------------------------------------
MACRO(CMAKE_SET_TARGET_FOLDER tgt folder)
  IF(CMAKE_USE_FOLDERS)
    SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

    # Really, I just want this to be an "if(TARGET ${tgt})" ...
    # but I'm not sure that our min req'd., CMake 2.4.5 can handle
    # that... so I'm just activating this for now, with a version
    # compare, and only for MSVC builds.
    IF(MSVC)
      IF(NOT ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
        SET_PROPERTY(TARGET "${tgt}" PROPERTY FOLDER "${folder}")
      ENDIF()
    ENDIF()
  ELSE()
    SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS OFF)
  ENDIF()
ENDMACRO(CMAKE_SET_TARGET_FOLDER)


#-----------------------------------------------------------------------
# a macro to build the utilities used by CMake
# Simply to improve readability of the main script.
#-----------------------------------------------------------------------
MACRO (CMAKE_BUILD_UTILITIES)
  #---------------------------------------------------------------------
  # Create the kwsys library for CMake.
  SET(KWSYS_NAMESPACE cmsys)
  SET(KWSYS_USE_SystemTools 1)
  SET(KWSYS_USE_Directory 1)
  SET(KWSYS_USE_RegularExpression 1)
  SET(KWSYS_USE_Base64 1)
  SET(KWSYS_USE_MD5 1)
  SET(KWSYS_USE_Process 1)
  SET(KWSYS_USE_CommandLineArguments 1)
  SET(KWSYS_HEADER_ROOT ${CMake_BINARY_DIR}/Source)
  SET(KWSYS_INSTALL_DOC_DIR "${CMake_DOC_DEST}")
  ADD_SUBDIRECTORY(Source/kwsys)
  SET(kwsys_folder "Utilities/KWSys")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE} "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}_c "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}EncodeExecutable "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}ProcessFwd9x "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}TestDynload "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}TestProcess "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}TestsC "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}TestsCxx "${kwsys_folder}")
  CMAKE_SET_TARGET_FOLDER(${KWSYS_NAMESPACE}TestSharedForward "${kwsys_folder}")

  #---------------------------------------------------------------------
  # Setup third-party libraries.
  # Everything in the tree should be able to include files from the
  # Utilities directory.
  INCLUDE_DIRECTORIES(
    ${CMake_BINARY_DIR}/Utilities
    ${CMake_SOURCE_DIR}/Utilities
    )
  
  # check for the use of system libraries versus builtin ones
  # (a macro defined in this file)
  CMAKE_HANDLE_SYSTEM_LIBRARIES()
  
  #---------------------------------------------------------------------
  # Build zlib library for Curl, CMake, and CTest.
  SET(CMAKE_ZLIB_HEADER "cm_zlib.h")
  IF(CMAKE_USE_SYSTEM_ZLIB)
    FIND_PACKAGE(ZLIB)
    IF(NOT ZLIB_FOUND)
      MESSAGE(FATAL_ERROR 
        "CMAKE_USE_SYSTEM_ZLIB is ON but a zlib is not found!")
    ENDIF(NOT ZLIB_FOUND)
    SET(CMAKE_ZLIB_INCLUDES ${ZLIB_INCLUDE_DIR})
    SET(CMAKE_ZLIB_LIBRARIES ${ZLIB_LIBRARIES})
  ELSE(CMAKE_USE_SYSTEM_ZLIB)
    SET(CMAKE_ZLIB_INCLUDES)
    SET(CMAKE_ZLIB_LIBRARIES cmzlib)
    ADD_SUBDIRECTORY(Utilities/cmzlib)
    CMAKE_SET_TARGET_FOLDER(cmzlib "Utilities/3rdParty")
  ENDIF(CMAKE_USE_SYSTEM_ZLIB)
  
  #---------------------------------------------------------------------
  # Build Curl library for CTest.
  IF(CMAKE_USE_SYSTEM_CURL)
    FIND_PACKAGE(CURL)
    IF(NOT CURL_FOUND)
      MESSAGE(FATAL_ERROR 
        "CMAKE_USE_SYSTEM_CURL is ON but a curl is not found!")
    ENDIF(NOT CURL_FOUND)
    SET(CMAKE_CURL_INCLUDES ${CURL_INCLUDE_DIRS})
    SET(CMAKE_CURL_LIBRARIES ${CURL_LIBRARIES})
  ELSE(CMAKE_USE_SYSTEM_CURL)
    SET(CURL_SPECIAL_ZLIB_H ${CMAKE_ZLIB_HEADER})
    SET(CURL_SPECIAL_LIBZ_INCLUDES ${CMAKE_ZLIB_INCLUDES})
    SET(CURL_SPECIAL_LIBZ ${CMAKE_ZLIB_LIBRARIES})
    OPTION(CMAKE_BUILD_CURL_SHARED "Should curl be built shared" FALSE)
    IF(NOT CMAKE_BUILD_CURL_SHARED)
      ADD_DEFINITIONS(-DCURL_STATICLIB)
    ENDIF(NOT CMAKE_BUILD_CURL_SHARED)
    SET(CMAKE_CURL_INCLUDES)
    SET(CMAKE_CURL_LIBRARIES cmcurl)
    IF(CMAKE_TESTS_CDASH_SERVER)
      SET(CMAKE_CURL_TEST_URL "${CMAKE_TESTS_CDASH_SERVER}/user.php")

=== Makefile ===
# Makefile for SatStress
SHELL = /bin/sh
SSDIR = SatStress

# Python modules for which we are making documentation:
EPYDOC_MODS = $(SSDIR)/SatStress.py\
           $(SSDIR)/GridCalc.py\
           $(SSDIR)/__init__.py

# Source files that are included in the current release:
PUB_SRC = $(EPYDOC_MODS)\
           $(SSDIR)/physcon.py\
           $(SSDIR)/Love/JohnWahr/love.f\
           test/test_nsr_diurnal.py\
           test/test_nsr_diurnal.pkl\
           input/Europa.satellite\
           input/NSR_Diurnal_exhaustive.grid

EPYDOC_OPTS = --verbose\
              --css=doc/css/SatStress.css\
              --name=SatStress\
              --url=http://code.google.com/p/satstress\
              --inheritance=grouped\
              --no-private

# love is built down in this directory, which has its own Makefile:
love : SatStress/Love/JohnWahr/love.f
	(cd SatStress/Love/JohnWahr; make love)

# Generate all of the HTML documentation based on the Python __doc__ strings:
htmldoc : $(EPYDOC_MODS) doc/css/SatStress.css
	epydoc --html --output=doc/html $(EPYDOC_OPTS) $(EPYDOC_MODS)

# Make PDF documentation based on the Python __doc__ strings:
pdfdoc : $(EPYDOC_MODS)
	epydoc --pdf --output=doc/pdf $(EPYDOC_OPTS) $(EPYDOC_MODS)

# Check the documentation for completeness:
doccheck : $(EPYDOC_MODS)
	epydoc --check $(EPYDOC_OPTS) $(EPYDOC_MODS)

# Get rid of all the documentation:
docclean : 
	rm -f doc/html/* doc/pdf/*

# Make all forms of documentation, and check it:
doc : htmldoc pdfdoc doccheck

# See if SatStress is working:
check : love $(PUB_SRC)
	python test/test_nsr_diurnal.py

# An alias for check:
test : check

# Get rid of random junk:
clean :
	rm -rf *~ *.pyc lovetmp-* *.nc
	(cd $(SSDIR); rm -rf *~ *.pyc lovetmp-* *.nc)
	rm -rf dist
	rm -rf build
	rm -f MANIFEST

# Get rid of all non-source files
realclean : clean docclean
	rm -rf $(SSDIR)/Love/*/calcLove*

# Restore the package to pristene condition:
distclean : realclean htmldoc

dist : distclean $(PUB_SRC)
	python setup.py sdist

install : love $(PUB_SRC)
	python setup.py install

uninstall :
	rm -rf /usr/local/bin/calcLoveWahr4Layer
	rm -rf /Library/Python/2.5/site-packages/SatStress*

=== GKlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(GKlib)

get_filename_component(abs "." ABSOLUTE)
set(GKLIB_PATH ${abs})
unset(abs)
include(GKlibSystem.cmake)

include_directories(".")
add_library(GKlib STATIC ${GKlib_sources})
if(UNIX)
  target_link_libraries(GKlib m)
endif(UNIX)

install(TARGETS GKlib
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)
install(FILES ${GKlib_includes} DESTINATION include)

=== GKlib/Makefile ===
# Configuration options.
gdb      = not-set
assert   = not-set
assert2  = not-set
debug    = not-set
gprof    = not-set
openmp   = not-set
prefix   = not-set
pcre     = not-set
gkregex  = not-set
gkrand   = not-set


# Basically proxies everything to the builddir cmake.
cputype = $(shell uname -m | sed "s/\\ /_/g")
systype = $(shell uname -s)

BUILDDIR = build/$(systype)-$(cputype)

# Process configuration options.
CONFIG_FLAGS =
ifneq ($(gdb), not-set)
    CONFIG_FLAGS += -DGDB=$(gdb)
endif
ifneq ($(assert), not-set)
    CONFIG_FLAGS += -DASSERT=$(assert)
endif
ifneq ($(assert2), not-set)
    CONFIG_FLAGS += -DASSERT2=$(assert2)
endif
ifneq ($(debug), not-set)
    CONFIG_FLAGS += -DDEBUG=$(debug)
endif
ifneq ($(gprof), not-set)
    CONFIG_FLAGS += -DGPROF=$(gprof)
endif
ifneq ($(openmp), not-set)
    CONFIG_FLAGS += -DOPENMP=$(openmp)
endif
ifneq ($(pcre), not-set)
    CONFIG_FLAGS += -DPCRE=$(pcre)
endif
ifneq ($(gkregex), not-set)
    CONFIG_FLAGS += -DGKREGEX=$(pcre)
endif
ifneq ($(gkrand), not-set)
    CONFIG_FLAGS += -DGKRAND=$(pcre)
endif
ifneq ($(prefix), not-set)
    CONFIG_FLAGS += -DCMAKE_INSTALL_PREFIX=$(prefix)
endif

define run-config
mkdir -p $(BUILDDIR)
cd $(BUILDDIR) && cmake $(CURDIR) $(CONFIG_FLAGS)
endef

all clean install: $(BUILDDIR)
	make -C $(BUILDDIR) $@

uninstall:
	 xargs rm < $(BUILDDIR)/install_manifest.txt

$(BUILDDIR):
	$(run-config)

config: distclean
	$(run-config)

distclean:
	rm -rf $(BUILDDIR)

remake:
	find . -name CMakeLists.txt -exec touch {} ';'

.PHONY: config distclean all clean install uninstall remake

=== code/Makefile ===
DEST_DIR = 	../exec
DEST=		${DEST_DIR}/chaco
CC = 		gcc
IFLAG =		-Imain
CFLAGS =	-O2
OFLAGS =	-O2

FILES.c=	main/user_params.c main/interface.c main/main.c \
		submain/balance.c submain/divide.c submain/submain.c \
		input/input_assign.c \
		input/check_input.c input/input.c input/input_geom.c \
		input/input_graph.c input/read_params.c input/reflect_input.c \
		input/read_val.c \
		graph/check_graph.c graph/free_graph.c \
		graph/reformat.c graph/subgraph.c graph/graph_out.c \
		inertial/eigenvec2.c inertial/eigenvec3.c inertial/inertial.c \
		inertial/inertial1d.c inertial/inertial2d.c \
		inertial/inertial3d.c inertial/make_subgeom.c \
		klspiff/buckets.c klspiff/buckets_bi.c klspiff/buckets1.c \
		klspiff/bilistops.c klspiff/coarsen_kl.c klspiff/count_weights.c \
		klspiff/compress_ewgts.c klspiff/kl_init.c klspiff/kl_output.c \
		klspiff/klspiff.c klspiff/make_bndy_list.c \
		klspiff/make_kl_list.c klspiff/nway_kl.c \
		klvspiff/bpm_improve.c klvspiff/bucketsv.c \
		klvspiff/clear_dvals.c klvspiff/coarsen_klv.c \
		klvspiff/countup_vtx_sep.c klvspiff/find_bndy.c klvspiff/flow.c \
		klvspiff/klv_init.c klvspiff/klvspiff.c klvspiff/make_bpgraph.c \
		klvspiff/make_sep_list.c klvspiff/matching.c klvspiff/nway_klv.c \
		klvspiff/flatten.c \
		coarsen/coarsen.c coarsen/interpolate.c coarsen/makefgraph.c \
		coarsen/makeccoords.c \
		coarsen/coarsen1.c coarsen/makev2cv.c \
		coarsen/maxmatch.c coarsen/maxmatch1.c coarsen/maxmatch2.c \
		coarsen/maxmatch3.c coarsen/maxmatch4.c coarsen/maxmatch5.c \
		connect/add_edges.c connect/connected.c connect/find_edges.c \
		eigen/bidir.c eigen/bisect.c eigen/checkeig.c \
		eigen/checkeig_ext.c \
		eigen/checkorth.c eigen/cksturmcnt.c eigen/mkeigvecs.c\
		eigen/eigensolve.c eigen/get_extval.c eigen/get_ritzvals.c \
		eigen/lanczos_FO.c eigen/lanczos_SO.c eigen/lanczos_SO_float.c \
		eigen/lanczos_ext.c eigen/lanczos_ext_float.c eigen/lanc_seconds.c\
		eigen/lanpause.c eigen/makeorthlnk.c eigen/mkscanlist.c \
		eigen/orthog1.c eigen/orthogonalize.c eigen/orthogvec.c \
		eigen/ql.c eigen/rqi.c eigen/rqi_ext.c eigen/scale_diag.c \
		eigen/scanmax.c eigen/scanmin.c eigen/solistout.c \
                eigen/sorthog.c eigen/splarax.c eigen/sturmcnt.c \
		eigen/Tevec.c eigen/tri_solve.c eigen/warnings.c \
		symmlq/aprod.c symmlq/msolve.c symmlq/pow_dd.c \
		symmlq/symmlq.c symmlq/symmlqblas.c \
		tinvit/tinvit.c tinvit/pythag.c tinvit/epslon.c \
		optimize/determinant.c optimize/func2d.c \
		optimize/func3d.c optimize/opt2d.c optimize/opt3d.c \
		assign/assign.c assign/assign_out.c assign/mapper.c \
		assign/median.c assign/merge_assign.c \
		assign/rec_median.c assign/rotate.c assign/y2x.c \
		bpmatch/checkbp.c bpmatch/inits2d.c bpmatch/inits3d.c \
		bpmatch/genvals2d.c bpmatch/genvals3d.c bpmatch/map2d.c \
		bpmatch/map3d.c bpmatch/movevtxs.c \
		bpmatch/sorts2d.c bpmatch/sorts3d.c \
		refine_map/compute_cube_edata.c refine_map/compute_cube_vdata.c \
		refine_map/refine_cube.c refine_map/update_cube_edata.c \
		refine_map/update_cube_vdata.c refine_map/find_edge_cube.c \
		refine_map/init_cube_edata.c refine_map/compute_mesh_edata.c \
		refine_map/compute_mesh_vdata.c refine_map/find_edge_mesh.c \
		refine_map/init_mesh_edata.c refine_map/refine_mesh.c \
		refine_map/update_mesh_edata.c refine_map/update_mesh_vdata.c \
		refine_map/refine_map.c refine_map/make_comm_graph.c \
		refine_part/refine_part.c refine_part/kl_refine.c \
		refine_part/make_maps_ref.c refine_part/make_terms_ref.c \
		internal/force_internal.c internal/improve_internal.c \
		internal/check_internal.c \
		misc/define_subcubes.c misc/define_submeshes.c \
		misc/divide_procs.c misc/merge_goals.c misc/make_term_props.c \
		misc/count.c misc/countup.c misc/countup_cube.c \
		misc/countup_mesh.c misc/make_subgoal.c \
		misc/find_maxdeg.c misc/make_maps.c misc/make_setlists.c \
		misc/sequence.c misc/perturb.c misc/simple_part.c \
		misc/time_kernels.c misc/timing.c \
		util/affirm.c util/array_alloc_2D.c util/bit_reverse.c \
		util/checkpnt.c util/cpvec.c util/dot.c \
		util/doubleout.c util/input_int.c util/gray.c \
		util/machine_params.c util/makevwsqrt.c util/mkvec.c util/norm.c \
                util/normalize.c util/mergesort.c \
                util/randomize.c util/smalloc.c util/bail.c \
		util/scadd.c util/seconds.c util/setvec.c util/shell_sort.c \
		util/strout.c util/tri_prod.c util/true_or_false.c \
		util/update.c  util/vecout.c util/vecran.c \
                util/vecscale.c 

FILES.o=	$(FILES.c:.c=.o) 


${DEST}:	${FILES.o} Makefile
		${CC} ${OFLAGS} ${FILES.o} -lm -o ${DEST}

lint:
		lint ${IFLAG} ${FILES.c} -lm

alint:
		alint ${IFLAG} ${FILES.c} -lm

clean:
		rm -f */*.o ${DEST_DIR}/core

.c.o:
		${CC} -c ${IFLAG} ${CFLAGS} -o $*.o $*.c

=== demo/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(qrose)


########### install files ###############




#original Makefile.am contents follow:

#include $(top_srcdir)/config/Makefile.for.ROSE.includes.and.libs
#
#SUBDIRS = qrose
#
## Demo of binary executable functionality. See binaryTests/Makefile.am for the complete list.
## This demo does not require Qt.
#demo_1:
#	$(MAKE) -C $(top_builddir)/tests/roseTests/binaryTests demos
#	@echo "End of demo_1"
#
## These demos require QT to support the QRose work used for the GUI in several ROSE tools
## that are a part of this demo.
#if ROSE_USE_QT
#
#INCLUDES = $(ROSE_INCLUDES) 
#
## There are no executables built as part of this demo (so far)
#noinst_PROGRAMS = 
#
#TESTCODES_REQUIRED_TO_PASS = 
#
#TESTCODE_CURRENTLY_FAILING = 
#
## ******************************************************
##              Standard Makefile Content
## ******************************************************
#
## This rule will run all the demos in sequence, the user should exit each program to 
## proceed to the next part of each demo or the next demo To configure ROSE to run the 
## demo requires some optional support, Expected configure line:
## <path>/configure --with-boost=<path> --with-qt=<path> --with-sqlite3=<path> --with-dwarf=<path> --enable-assembly-semantics
## At present there is only a binary analysis demo, there will be other demos in the future.
#demo:
#	$(MAKE) demo_binary_analysis
#
#
## This is demo specific to binary anslysis support in ROSE.
#demo_binary_analysis_A:
#	$(MAKE) demo_1
#	sleep 10
#	$(MAKE) demo_2
#	sleep 10
#	$(MAKE) demo_3
#	sleep 10
#	$(MAKE) demo_4
#	sleep 10
#	$(MAKE) demo_5
#	sleep 10
#	$(MAKE) demo_6
#	sleep 10
#
#demo_binary_analysis_B:
#	$(MAKE) demo_7a
#	sleep 10
#	$(MAKE) demo_7b
#	sleep 10
#	$(MAKE) demo_8a
#	sleep 10
#	$(MAKE) demo_8b
#	sleep 10
#	$(MAKE) demo_9
#	sleep 10
#	$(MAKE) demo_10
#	sleep 10
#
#demo_binary_analysis_C:
#	$(MAKE) demo_11
#	sleep 10
#	$(MAKE) demo_12
#	sleep 10
#	$(MAKE) demo_13
#	sleep 10
#	$(MAKE) demo_14
#	@echo "End of binary_analysis demos"
#
#
#if DQ_DEVELOPER_TESTS 
## This demo shows the handling of different formats (ELF and PE) and different instruction sets (ARM, PowerPC, x86).
#demo_2: demo_2_test
#	$${EDITOR:-emacs} $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests/asm_code_samples_gcc.exe.dump
#	@echo "End of demo_2"
#
#demo_2_test:
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_binary_file_format_Linux
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_with_instructions_Linux
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_binary_file_format_PE
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_with_instructions_PE
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_binary_file_format_ARM
#	cd $(top_builddir)/developersScratchSpace/Dan/Disassembler_tests && $(MAKE) demo_with_instructions_ARM
#endif
#
## This demo shows the generation of a few different forms of analysis on binaries
#demo_3: demo_3_test
#	@echo "Run callgraph analysis, control flow analysis, and data flow analysis"
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_withoutAnalysisRunInBatchMode;
#	cd $(top_builddir)/projects/BinQ; zgrviewer callgraph.dot &
#	cd $(top_builddir)/projects/BinQ; zgrviewer cfg.dot &
#	cd $(top_builddir)/projects/BinQ; zgrviewer dfg.dot &
#	@echo "End of demo_3"
#
#demo_3_test:
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_show_source_code;
#
## Example of buffer overflow detector
#demo_4:
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_withAnalysisRunInBatchMode
#	@echo "End of demo_4"
#
## Need another demo 2.5) Build a binary and test the forbidden function analysis 
#
## Something that might require type analysis
#demo_5:
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_rted_example
#	@echo "End of demo_5"
#
## Comparing ROSE vs. IDAPro (on same 32-bit example)
#demo_6:
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_rose_vs_IDAPro
#	@echo "End of demo_6"
#
## Running Compass in ASCII mode (non-stripped binary)
#demo_7a:
#	cd $(top_builddir)/projects/compass/tools/compass; $(MAKE) demo_small
#	@echo "End of demo_7a"
#
## Running Compass in ASCII mode (stripped binary)
#demo_7b:
#	cd $(top_builddir)/projects/compass/tools/compass; $(MAKE) demo_linux
#	@echo "End of demo_7b"
#
## Running Compass in GUI mode (on a source code)
#demo_8a:
#	cd $(top_builddir)/projects/compass/tools/compass; $(MAKE) demo_compassGUI_source
#	@echo "End of demo_8a"
#
## Running Compass in GUI mode (on a binary; note output sent to terminal at present)
#demo_8b:
#	cd $(top_builddir)/projects/compass/tools/compass; $(MAKE) demo_compassGUI_binary
#	@echo "End of demo_8b"
#
## This tests the construction of a new checker for Compass (to be submitted to Compass).
## Note that this demo removes a checker directory (relative to the source tree) and then rebuilds it.
## To make this safer we do it in two steps to avoid using "-r" with rm.
#demo_9:
#	@echo "Remove existing checker: $(top_srcdir)/../CompassCheckers/demoBufferOverflowCheckerTest"
#	mkdir -p $(top_srcdir)/../CompassCheckers/demoBufferOverflowCheckerTest
#	rm -f $(top_srcdir)/../CompassCheckers/demoBufferOverflowCheckerTest/*
#	rmdir $(top_srcdir)/../CompassCheckers/demoBufferOverflowCheckerTest
#	cd $(top_srcdir)/../CompassCheckers; $(top_srcdir)/projects/compass/src/compass_scripts/gen_checker.sh demo buffer overflow checker test
#	@echo "Built checker directory $(top_srcdir)/../CompassCheckers/demoBufferOverflowCheckerTest"
#	@echo "End of demo_9"
#
## The demo shows the translation of a binary into a low level representation to support general 
## instrcution set independent analysis.  Also demonstrated disassemble and semantic analysis of 
## PowerPC instruction set.  The semantic analysis of binaries is supported for x86 and PowerPC
## (but not yet for ARM).
#demo_10:
#	cd $(top_builddir)/projects/assemblyToSourceAst; $(MAKE) ppc-check
#	@echo "End of demo_10"
#
#if DQ_DEVELOPER_TESTS 
## Demonstrate edit graph work to support binary comparision on binary file format (related to binary diff on instructions)
#demo_11a:
#	cd $(top_builddir)/developersScratchSpace/Dan/astEquivalence_tests; $(MAKE) demoSourceEquivalence
#	cd $(top_builddir)/developersScratchSpace/Dan/astEquivalence_tests; $(MAKE) demoBinaryEquivalence
#	@echo "End of demo_11a"
#endif
#
## Demonstrate AST diff using BinQ on binary instructions (only on the instructions)
#demo_11b:
#	cd $(top_builddir)/projects/BinQ; $(MAKE) demo_diff
#	@echo "End of demo_11b"
#
## Using Compass with large projects (the trick is to click: regenerate, select all, and refresh).
#demo_12:
#	cd $(top_builddir)/projects/compass/tools/compass/gui; $(MAKE) demo
#	@echo "End of demo_12"
#
#if DQ_DEVELOPER_TESTS 
## Static binary rewriting
#demo_13:
#	cd $(top_builddir)/developersScratchSpace/Dan/translator_tests; $(MAKE) demo
#	@echo "End of demo_13"
#endif
#
## Template for more rules...
## demo_15:
##	cd $(top_builddir)/; $(MAKE) xxx
##	@echo "End of demo_15"
#
#
#
#
#
#
#
#
#testProgram_1: $(srcdir)/testProgram.c
#	gcc -g -o testProgram_1 $(srcdir)/testProgram.c
#
#testProgram_2: $(srcdir)/testProgram.c
#	gcc -o testProgram_2 $(srcdir)/testProgram.c
#
## Test of astEquivalence on Binary Executable
#testBinaryEquivalence: astDiff testProgram_1 testProgram_2
#	./astDiff -rose:read_executable_file_format_only testProgram_1 testProgram_2
#
## Test of astEquivalence on Source Code
#testSourceEquivalence: astDiff $(srcdir)/testProgram.c $(srcdir)/testProgram_alt.c
#	cat $(srcdir)/testProgram.c $(srcdir)/testProgram_alt.c
#	./astDiff $(srcdir)/testProgram.c $(srcdir)/testProgram_alt.c
#
#testBoost: shortestPathBoostExample
#	./shortestPathBoostExample
#
## This demo generates the edit graph for two similar source code files
## and displays the generated visualization of the graph using zgrviewer.
#demoSourceEquivalence: testSourceEquivalence
#	zgrviewer output.dot &
#
## This demo generates the edit graph for two similar binary files (one
## compiled with debug and the other without), and displays a pre-generated
## image of a visualization of the a quadrant of the whole graph (takes 
## 20+ minutes to layout in dot so the image has been pre-computed).
#demoBinaryEquivalence: testBinaryEquivalence
#	eog $(srcdir)/astEquivalenceGraphForBinaryCode3.png &
#
#
#
## ******************************************************
##              Standard Makefile Content
## ******************************************************
#
#if DQ_DEVELOPER_TESTS 
#check-local:
#	@echo "ROSE demo."
#	@$(MAKE) $(PASSING_TEST_Objects)
#	@echo "Testing demos..." 
#	make demo_2_test
#	make demo_3_test
##	make demo_10
##	make demo_13
#	@echo "****************************************************************************"
#	@echo "******** ROSE/demo: make check rule complete (terminated normally) *********"
#	@echo "****************************************************************************"
#else
#check-local:
#	@echo "ROSE demo (skipping demos 2, 11a and 13 which referenced the developersScratchSpace directory)."
#	@$(MAKE) $(PASSING_TEST_Objects)
#	@echo "Testing demos..." 
#	make demo_3_test
##	make demo_10
#	@echo "****************************************************************************"
#	@echo "******** ROSE/demo: make check rule complete (terminated normally) *********"
#	@echo "****************************************************************************"
#endif
#else
#check-local:
#	@echo "\nROSE demo requires Qt configure option (at least), Demo NOT run.  To run these reconfigure ROSE (see manual)"
#	@echo "***********************************************************************************************************************************************************"
#	@echo "**************************************************************** make check not run here: DEMO ************************************************************"
#	@echo "*** Expected configure line: <...>/configure --with-boost=<path> --with-qt=<path> --with-sqlite3=<path> --with-dwarf=<path> --enable-assembly-semantics ***"
#	@echo "***********************************************************************************************************************************************************"
#endif
#
#EXTRA_DIST = demo.txt
#
## There should be no temporary files generated as part of the demo (in this directory).
#clean-local:
#	rm -f *.o 
#

=== doc/Makefile ===
#
# This file was generated from Makefile.in on Mon Mar 28 15:09:00 CEST 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.3
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2011 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.

all: language FORCE
	DOXYGEN_DOCDIR=$(DOXYDOCS); \
	export DOXYGEN_DOCDIR; \
        VERSION=$(VERSION) ; \
	export VERSION; \
	$(DOXYGEN)/bin/doxygen
	@rm -f ../latex/refman.tex
	@cp doxygen_logo*.gif ../html
	@cp Makefile.latex ../latex/Makefile
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen_manual.tex >../latex/doxygen_manual.tex
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen.sty >../latex/doxygen.sty 
	@epstopdf doxygen_logo.eps --outfile=../latex/doxygen_logo.pdf

clean: 
	rm -rf ../html ../latex *.bak 

language: language.doc 

language.doc: $(wildcard ../src/translator*.h) maintainers.txt language.tpl translator.py
	python translator.py

FORCE:

=== docs/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(Rose)

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(DEVELOPER_DISTRIBUTION_DIRECTORY)")

########### install files ###############




#original Makefile.am contents follow:

#
## DQ (7/24/2008): Only the developer version needs the test directory specific to Doxygen support
## JJW (8/3/2008): This line will be removed in binary distributions
#DEVELOPER_DISTRIBUTION_DIRECTORY = testDoxygen
#
## Later we will add ROSETTA documentation here ...
## SUBDIRS = Rose Rosetta testDoxygen
#
## DQ (9/11/2006): Removed Rosetta directory, an internal tool not documented 
## within ROSE for use externally.
## SUBDIRS = Rose Rosetta testDoxygen
## SUBDIRS = Rose testDoxygen
#SUBDIRS = Rose $(DEVELOPER_DISTRIBUTION_DIRECTORY)
#
## New rule to simplify generation of documentation (we want to avoid using the
## automake generated "docs" rule because the generation of documentation is
## dependent upon separate tools which the user might not have available
## (true for bothe the LaTeX and html documentation).
## documentation:
#docs:
#	@echo "    Generate all possible documentation cd Rose; make documentation;"
#	@cd Rose; $(MAKE) docs;
#
#EXTRA_DIST =

=== exampleTranslators/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_subdirectory(documentedExamples)
add_subdirectory(defaultTranslator)
add_subdirectory(DOTGenerator)
add_subdirectory(PDFGenerator)
add_subdirectory(AstCopyReplTester)


########### install files ###############




#original Makefile.am contents follow:

#include $(top_srcdir)/config/Makefile.for.ROSE.includes.and.libs
#
#SUBDIRS = \
#     documentedExamples \
#     defaultTranslator  \
#     DOTGenerator       \
#     PDFGenerator       \
#     AstCopyReplTester
#
## DQ (9/11/2008): We can add these later but these are older QRose examples.
## Current examples are in developersScratchSpace/Dan/QRose_tests.
##    graphicalUserInterfaceExamples
#

=== examples/Makefile ===
#
# This file was generated from Makefile.in on Mon Mar 28 15:09:00 CEST 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.3
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

all: class/html/index.html \
     define/html/index.html \
     enum/html/index.html \
     file/html/index.html \
     func/html/index.html \
     page/html/index.html \
     relates/html/index.html \
     author/html/index.html \
     par/html/index.html \
     overload/html/index.html \
     example/html/index.html \
     include/html/index.html \
     qtstyle/html/index.html \
     jdstyle/html/index.html \
     structcmd/html/index.html \
     autolink/html/index.html \
     restypedef/html/index.html \
     afterdoc/html/index.html \
     template/html/index.html \
     tag/html/index.html \
     group/html/index.html \
     diagrams/html/index.html \
     memgrp/html/index.html \
     docstring/html/index.html \
     pyexample/html/index.html \
     mux/html/index.html \
     manual/html/index.html 

# Disabled since it is broken :-(
#     dbusxml/html/index.html

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual dbusxml

class/html/index.html: class.h class.cfg
	$(DOXYGEN)/bin/doxygen class.cfg

define/html/index.html: define.h define.cfg
	$(DOXYGEN)/bin/doxygen define.cfg

enum/html/index.html: enum.h enum.cfg
	$(DOXYGEN)/bin/doxygen enum.cfg

file/html/index.html: file.h file.cfg
	$(DOXYGEN)/bin/doxygen file.cfg

func/html/index.html: func.h func.cfg
	$(DOXYGEN)/bin/doxygen func.cfg

page/html/index.html: page.doc page.cfg
	$(DOXYGEN)/bin/doxygen page.cfg

relates/html/index.html: relates.cpp relates.cfg
	$(DOXYGEN)/bin/doxygen relates.cfg

author/html/index.html: author.cpp author.cfg
	$(DOXYGEN)/bin/doxygen author.cfg

par/html/index.html: par.cpp par.cfg
	$(DOXYGEN)/bin/doxygen par.cfg

overload/html/index.html: overload.cpp overload.cfg
	$(DOXYGEN)/bin/doxygen overload.cfg

example/html/index.html: example.cpp example_test.cpp example.cfg 
	$(DOXYGEN)/bin/doxygen example.cfg

include/html/index.html: include.cpp example_test.cpp include.cfg 
	$(DOXYGEN)/bin/doxygen include.cfg

qtstyle/html/index.html: qtstyle.cpp qtstyle.cfg 
	$(DOXYGEN)/bin/doxygen qtstyle.cfg

jdstyle/html/index.html: jdstyle.cpp jdstyle.cfg 
	$(DOXYGEN)/bin/doxygen jdstyle.cfg

structcmd/html/index.html: structcmd.h structcmd.cfg 
	$(DOXYGEN)/bin/doxygen structcmd.cfg

autolink/html/index.html: autolink.cpp autolink.cfg 
	$(DOXYGEN)/bin/doxygen autolink.cfg

tag/html/index.html: tag.cpp tag.cfg example/html/index.html
	$(DOXYGEN)/bin/doxygen tag.cfg
#	sed -e "1,1s#perl#$(PERL)#g" tag/html/installdox >tag/html/installdox.perl
#	cd tag/html ; $(PERL) installdox.perl -lexample.tag@../../example/html

restypedef/html/index.html: restypedef.cpp restypedef.cfg 
	$(DOXYGEN)/bin/doxygen restypedef.cfg

afterdoc/html/index.html: afterdoc.h afterdoc.cfg
	$(DOXYGEN)/bin/doxygen afterdoc.cfg

template/html/index.html: templ.cpp templ.cfg
	$(DOXYGEN)/bin/doxygen templ.cfg

group/html/index.html: group.cpp group.cfg
	$(DOXYGEN)/bin/doxygen group.cfg

memgrp/html/index.html: memgrp.cpp memgrp.cfg
	$(DOXYGEN)/bin/doxygen memgrp.cfg

pyexample/html/index.html: pyexample.py pyexample.cfg
	$(DOXYGEN)/bin/doxygen pyexample.cfg

mux/html/index.html: mux.vhdl mux.cfg
	$(DOXYGEN)/bin/doxygen mux.cfg

manual/html/index.html: manual.c manual.cfg
	$(DOXYGEN)/bin/doxygen manual.cfg

docstring/html/index.html: docstring.py docstring.cfg
	$(DOXYGEN)/bin/doxygen docstring.cfg

#dbusxml/html/index.html: dbusxml.xml dbusxml.cfg
#	$(DOXYGEN)/bin/doxygen dbusxml.cfg

diagrams/html/index.html: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN)/bin/doxygen diagrams.cfg
endif

=== scripts/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############

install(FILES  $(distributedScripts) DESTINATION )



#original Makefile.am contents follow:

#include $(top_srcdir)/config/Makefile.for.ROSE.includes.and.libs
#
## copy the tools (scripts only) from the source tree to the source destination in the distribution
#distributedScripts = \
#     configure_with_SQL            runscript              \
#     dotgen                                               \
#     dotgen2                       lsdot                  \
#     check-dist-file dotgenLetter  generateDirectoryGraph \
#     libtoolcp     \
#     dotgenLetterPDF dotgenLetterPNG \
#     nmiBuildAndTestFarm
#
## scripts put into the distribution
#EXTRA_DIST = README $(distributedScripts)
#
## install the tools in 'bin' (a subsect of EXTRA_DIST)
#bin_SCRIPTS =  $(distributedScripts)
#

=== src/Makefile ===
#
# This file was generated from Makefile.in on Mon Mar 28 15:09:00 CEST 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.3
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
# $Id: Makefile.in,v 1.4 2001/03/19 19:27:39 root Exp $
#
# Copyright (C) 1997-2011 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile.doxytag Makefile
	$(MAKE) -f Makefile.libdoxycfg PERL=$(PERL) $@
	$(MAKE) -f Makefile.libdoxygen PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxygen    PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxytag    PERL=$(PERL) $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t 
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro 
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen

Makefile.doxytag: doxytag.pro doxytag.t 
	$(ENV) $(PERL) $(TMAKE) doxytag.pro >Makefile.doxytag

tmake: 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen
	$(ENV) $(PERL) $(TMAKE) doxytag.pro >Makefile.doxytag

clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile.doxytag 
	$(MAKE) -f Makefile.libdoxygen clean 
	$(MAKE) -f Makefile.libdoxycfg clean 
	$(MAKE) -f Makefile.doxygen    clean 
	$(MAKE) -f Makefile.doxytag    clean

distclean: clean
	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp ce_lex.cpp \
               ce_parse.cpp ce_parse.h doxytag.cpp tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp

FORCE:

=== debian/changelog ===
graphviz (2.24.0-1) intrepid; urgency=low

  * Enabled "--with-sfdp"  new layout engine

 -- John Ellson <ellson@research.att.com>  Tue, 2 Jun 2009 22:38:00 -0400

  * Adapted for upstream nightly builds by applying graphviz_2.18-1ubuntu2.diff.gz
    to CVS sources and adding the debian/ subtree to CVS.

  * Removed all debian/patches/[0123]* and emptied debian/patches/series
    since upstream should never need patches.
    - Drop 0_tcl_manpages_section - applied upstream
    - Drop 0_autoreconf_run - not needed
    - Drop 1_disable_lumping_all_include_directories - applied upstream
    - Drop 0_libtool_linking_reorder_workaround - not needed - previously disabled
    - Drop 0_bindings_documentation - applied upstream
    - Drop 0_versioned_plugin_config_file - applied upstream
   
  * Enabled "--with-rsvg" to provide support for node images in svg format.
  * Enabled "--with-devil" to provide support for additional output formats.
  * Enabled "--with-gdk-pixbuf" to provide support for additional output formats.
  * Enabled "--with-ipsepcola" (was only disabled because of concern about C++ portability)

 -- John Ellson <ellson@research.att.com>  Fri, 29 Aug 2008 09:55:33 -0400

graphviz (2.18-1ubuntu2) intrepid; urgency=low

  * Build against the newer guile 1.8 instead of the older 1.6.
    (See LP #232428)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 06 Aug 2008 12:18:57 +0200

graphviz (2.18-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build depend on liblualib50-dev instead of liblua5.1-0-dev.
    - Drop libttf-dev (libttf-dev is in universe) (LP: #174749).
    - Replace gs-common with ghostscript.
    - Build-depend on python-dev instead of python2.4-dev or python2.5-dev.
    - Mention the correct python version for the python bindings in the
      package description.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 20:23:23 -0700

graphviz (2.18-1) unstable; urgency=low

  * New upstream release:
     - Move from Tcl/Tk 8.4 to 8.5.
     - Now build python2.4 and python2.5 modules.
  * debian/control:
     - Replace tcl8.4-dev and tk8.4-dev with tcl8.5-dev and tk8.5-dev in
       Build-Depends accordingly.
     - Update the version in the long description of libgv-tcl.
     - Add python2.5-dev to Build-Depends.
     - Mention both versions in the long description of libgv-python.
     - Drop libttf-dev from Build-Depends since that's a deprecated
       package, replaced by libfreetype6-dev (which is already there),
       thanks to Moritz Muehlenhoff for the notice (Closes: #473487).
  * debian/libgv-tcl.install:
     - Delete the entry about pkgIndex.tcl since it's now shipped under
       the tcl directory.
  * debian/libgv-python/install:
     - Add “usr/lib/graphviz/python{24,25}”, later rearranged through
       debian/rules.
  * debian/pyversions:
     - Add it, containing “2.4,2.5”.
  * debian/rules:
     - Pass an extra flag to configure: “--without-rsvg” to avoid an extra
       plugin to be built, which would pull many other dependencies. A new
       binary package might be introduced later, with both gtk and rsvg
       plugins.
     - Bump shlibs, new symbols.
     - Use “pyversions -s” rather than “pyversions -d”.
     - Use “--enable-python{24,25}” instead of just “--enable-python”.
     - Install both python modules under appropriate site-packages
       directories.
     - Duplicate gv.py in both directories, then taken care of by
       python-support.
     - Get rid of tclpkg/gv/gv.R and tclpkg/gv/php_gv.h through dh_clean
       to keep the diff clean.
  * Drop workaround for FTBFS with gcc-4.3, fixed upstream:
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Backport fix from CVS, preventing all include directories from being
    lumped together, does causing python2.5 to be misbuilt (using
    python2.4 includes).
     - Add 1_disable_lumping_all_include_directories: Actual fix.
     - Add 0_autoreconf_run: Needed since a Makefile.am is touched.
     - Disable 0_libtool_linking_reorder_workaround: no longer applies
       because of the autoreconf run.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 12 Apr 2008 02:11:00 +0200

graphviz (2.16.1-3) unstable; urgency=low

  * Add workaround for FTBFS with gcc-4.3 (Closes: #466810):
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Update doc-base section: from “Apps/Graphics” to “Graphics”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 26 Mar 2008 00:43:57 +0100

graphviz (2.16.1-2) unstable; urgency=low

  * Improved debian/copyright:
     - Distinguish between copyright and license.
     - Add copyright years and copyright holder (AT&T Corp.).
     - Use “Copyright” and “©” instead of “(C)”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 26 Feb 2008 14:33:24 +0100

graphviz (2.16.1-1) experimental; urgency=low

  * New upstream release:
     - Fixes regressions in dotty (Closes: #461530).
  * Replaced “-V” with “-V 'libgraphviz4 (>= 2.16)'” in the dh_makeshlibs
    call since no shlibs bump is required for this new upstream release.
  * Dropped patch (merged upstream):
     - 2_ocaml_tweak.
     - 0_autoreconf_run (it was only needed because of 2_ocaml_tweak).
  * Refreshed patches:
     - 0_versioned_plugin_config_file.
     - 0_bindings_documentation.
  * Moved sections, resolving override disparities:
     - libgv-python: from interpreters to python.
     - graphviz-dev: from graphics to devel.
  * Now ship diffimg since it actually looks useful to at least someone,
    thanks to David Liontooth for having requested it (Closes: #460595).
    Done by reverting the diffimg deletion in “install” target.
  * Adapted Tcl bindings: moved to a subdirectory of /usr/lib/tcltk to
    comply with the Tcl/Tk policy.
  * Adapted the manpage accordingly: in the “load” call, adjusted the
    path to the shared object.
  * Dropped NEWS.Debian since its content wasn't really what one would


=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: John Ellson <ellson@graphviz.org>
Standards-Version: 3.7.3
Build-Depends: tk8.5-dev, tcl8.5-dev, debhelper (>= 5), libfreetype6-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libxaw7-dev, bison, flex, autotools-dev, pdksh, libexpat1-dev, libfontconfig1-dev, libltdl3-dev, swig, libperl-dev, libgd2-noxpm-dev (>= 2.0.35), quilt (>= 0.40), groff-base, ghostscript, liblualib50-dev, ruby, ruby1.8-dev, php5-dev, php5-cli, ocaml-nox, python-dev, python-minimal, libcairo2-dev, libpango1.0-dev, guile-1.8-dev, d-shlibs, python-support, librsvg2-dev, libgdk-pixbuf-dev, libdevil-dev, libgts-dev, liblasi-dev
Homepage: http://www.graphviz.org/

Package: graphviz
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: gdtclft
Suggests: msttcorefonts, gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (1.6) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.1 bindings.

Package: libgv-ocaml
Architecture: any
Section: libs
Depends: ocaml-base-nox-${F:OCamlABI}, ${shlibs:Depends}
Description: OCaml bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the OCaml bindings. The associated development files
 are in the libgraphviz-dev package so as to limit the number of binary
 packages.

Package: libgv-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php5
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}
Description: Php5 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Php5 bindings.

Package: libgv-python
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${python:Depends}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python (2.5) bindings.

Package: libgv-ruby
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ruby1.8
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby (1.8) bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.5) bindings.

Package: libgraphviz4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: rich set of graph drawing tools
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the libraries.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}
Suggests: ocaml-base-nox-${F:OCamlABI}, ocaml-findlib
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 This package also contains the OCaml development files.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Architecture: all
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Depends: libgraphviz-dev
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# Get build platform info
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

UPSTREAM_VERSION  = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if /^Version: (.*?)-(.*)$$/')
SONAME            = 4

OCAMLABI          = $(shell ocamlc -version)
OCAML_PACKAGE     = $(CURDIR)/debian/libgv-ocaml

PHP_EXTENSION_DIR = $(shell php-config5 --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php5

LUA_VERSION       = 5.1
LUA_PACKAGE       = $(CURDIR)/debian/libgv-lua

DEV_PACKAGE       = $(CURDIR)/debian/libgraphviz-dev

PYTHON_VERSIONS   = $(shell pyversions -s)
PYTHON_PACKAGE    = $(CURDIR)/debian/libgv-python

RUBY_VERSION      = 1.8
RUBY_PACKAGE      = $(CURDIR)/debian/libgv-ruby

CONFIG_SCRIPTS=config/config.guess lib/gd/config/config.guess libltdl/config.guess \
	       config/config.sub   lib/gd/config/config.sub   libltdl/config.sub

configure: patch configure-stamp
configure-stamp:
	dh_testdir

	# Update the config scripts
	for i in $(CONFIG_SCRIPTS); do \
		cp /usr/share/misc/`basename $$i` $$i ; \
	done

	# Configure the package
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--without-ghostscript \
	--without-gtk \
	--without-gtkgl \
	--without-gtkglext \
	--without-glade \
	--with-ipsepcola \
	--with-lasi \
	--with-rsvg \
	--with-devil \
	--with-gts \
	--without-ortho \
	--with-sfdp \
	--without-smyrna \
	--disable-sharp \
	--enable-guile \
	--disable-java \
	--disable-io \
	--enable-lua \
	--enable-ocaml \
	--enable-php \
	--enable-python \
	--disable-python23 \
	--disable-python24 \
	--disable-python25 \
	--disable-python26 \
	--disable-r \
	--enable-ruby \
	--enable-tcl \
	LDFLAGS="-Wl,--as-needed"
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	# Build
	$(MAKE)
	touch build-stamp

#	# Build the manpage from SONAME-independent perlpod
#	sed -e 's/##SONAME##/$(SONAME)/g' \
#		debian/libgraphviz-config-update.pod.in > \
#		debian/libgraphviz$(SONAME)-config-update.pod
#	pod2man --center "GRAPHVIZ CONFIGURATION MANAGEMENT" \
#		--release $(UPSTREAM_VERSION) \
#		debian/libgraphviz$(SONAME)-config-update.pod \
#		debian/libgraphviz$(SONAME)-config-update.1

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean up if a build already happened
	[ ! -f Makefile ] || $(MAKE) distclean

#	# Clean up intermediate and generated manpages
#	rm -f debian/libgraphviz$(SONAME)-config-update.pod
#	rm -f debian/libgraphviz$(SONAME)-config-update.1

	dh_clean $(CONFIG_SCRIPTS) \
		tclpkg/gv/gv.R tclpkg/gv/php_gv.h

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Remove .la files
	find -name '*.la' -delete

	# Install lintian overrides
	install -d $(CURDIR)/debian/tmp/usr/share/lintian/overrides
	install -m 644 $(CURDIR)/debian/libgraphviz$(SONAME).lintian-overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/libgraphviz$(SONAME)

	# Compute the dependencies of the -dev package
	# NOTE: It is important to do that before splitting the files into
	# their respective packages, otherwise the symlinks are broken
	d-devlibdeps \
		--override s/libpathplan$(SONAME)-dev// \
		--override s/libcgraph$(SONAME)-dev//   \
		--override s/libgraph$(SONAME)-dev//    \
		--override s/libcdt$(SONAME)-dev//      \
		--override s/libgts-0.7-5-dev/libgts-dev/ \
		$(CURDIR)/debian/libgraphviz-dev.substvars \
		$(CURDIR)/debian/tmp/usr/lib/*.so

	# Move from debian/tmp to the appropriate packages, rename one binary
	dh_install --sourcedir=debian/tmp --list-missing
	mv $(CURDIR)/debian/libgraphviz$(SONAME)/usr/sbin/dot \
		$(CURDIR)/debian/libgraphviz$(SONAME)/usr/sbin/libgraphviz$(SONAME)-config-update

	# Some additional work for libgv-php5
	install -d $(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)
	mv $(PHP_PACKAGE)/usr/lib/graphviz/php/libgv_php.so* \
		$(PHP_PACKAGE)/$(PHP_EXTENSION_DIR)
	rm -rf $(PHP_PACKAGE)/usr/lib/graphviz

	# Some additional work for libgv-lua
	# 1. Rename using the LUA_VERSION
	mv $(LUA_PACKAGE)/usr/lib/graphviz/lua/libgv_lua.so \
		$(LUA_PACKAGE)/usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so
	# 2. Add a symlink
	install -d $(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)
	ln -s /usr/lib/graphviz/lua/liblua$(LUA_VERSION)-libgv.so \
		$(LUA_PACKAGE)/usr/lib/lua/$(LUA_VERSION)/gv.so

	# Some additional work for libgv-ocaml
	# 1. Move the shared object to the stublibs directory
	install -d $(OCAML_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/stublibs
	mv $(OCAML_PACKAGE)/usr/lib/graphviz/ocaml/libgv_ocaml.so \
		$(OCAML_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/stublibs/dllgv.so
	# 2. Move the devel files where they belong
	install -d $(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/gv
	mv $(OCAML_PACKAGE)/usr/lib/graphviz/ocaml/*.ml* \
		$(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/gv
	# 3. Trash the (almost empty) directory (and its .la)
	rm -rf $(OCAML_PACKAGE)/usr/lib/graphviz

	# Some additional work for libgv-python
	# Note the sed call because of python{24,25} instead of python{2.4,2.5}
	# Note gv.py isn't really duplicated, it's just installed in a location
	# where python-support will find it. Both being identical, python-support
	# will just do the right thing.
	for i in $(PYTHON_VERSIONS); do \
		install -d $(PYTHON_PACKAGE)/usr/lib/$$i/site-packages ; \
		cp $(PYTHON_PACKAGE)/usr/lib/graphviz/python/gv.py \
			$(PYTHON_PACKAGE)/usr/lib/$$i/site-packages ; \
		mv $(PYTHON_PACKAGE)/usr/lib/graphviz/$$(echo $$i|sed -e 's/\.//')/*.so \
			$(PYTHON_PACKAGE)/usr/lib/$$i/site-packages ; \
	done
	rm -rf $(PYTHON_PACKAGE)/usr/lib/graphviz

	# Debian-specific manpage
#	dh_installman -plibgraphviz$(SONAME)      \
#		$(CURDIR)/debian/libgraphviz$(SONAME)-config-update.1

	# Some additional work for libgv-ruby
	install -d $(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)
	mv $(RUBY_PACKAGE)/usr/lib/graphviz/ruby/libgv_ruby.so \
		$(RUBY_PACKAGE)/usr/lib/ruby/$(RUBY_VERSION)/gv.so
	rm -rf $(RUBY_PACKAGE)/usr/lib/graphviz

	# Install additional ocaml files
	install -d $(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/gv
	cp debian/tmp/usr/lib/graphviz/ocaml/gv.cm* \
		$(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/gv
	install -d $(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/METAS
	mv debian/tmp/usr/lib/graphviz/ocaml/META.gv \
		$(DEV_PACKAGE)/usr/lib/ocaml/$(OCAMLABI)/METAS

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installmenu -i
	dh_installchangelogs ChangeLog -i
	dh_perl -i
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -XMakefile
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_perl -a
	dh_pysupport -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibgraphviz$(SONAME) -V 'libgraphviz4 (>= 2.18)'
	dh_installdeb -a
	dh_shlibdeps -a -L libgraphviz$(SONAME) $(CURDIR)/debian/libgraphviz$(SONAME)/usr/lib
	dh_gencontrol -a -- -VF:OCamlABI="$(OCAMLABI)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
